{% extends "admin_pages_app/base.html" %}
<style>
    .card {
        max-width: 250px; /* set the max width of the card */
        margin: 0 auto; /* center the card horizontally */
    }
</style>
{% block content %}
    <div>
        <a href="{% url 'admin_pages_app:list-payouts' %}" class="btn btn-secondary">Return</a>
    </div>
    <div id="content-main" class="col-12">
        <h1 class="text-center mb-4">{{ title }}</h1>
        {% if error %}
            <div class="alert alert-danger text-center">
                <h2>{{ error }}</h2>
            </div>
        {% else %}
        <div>
            <p><em>**The percentage of the service fee may differ because it is set at the time of creation of the discussion in accordance with the application service fee at that time.</em></p>
        </div>
                <div class="card mb-4">
                    <div class="card-body">
                        {% for discussion in objects %}
                        <form method="post">
                            {% csrf_token %}
                            <input type="hidden" name="discussion_id" value="{{ discussion.id }}"/>
                            <div class="card my-3">
                                <div class="card-body">
                                    <h5 class="card-title">{{ discussion.topic }}</h5>
                                    <p class="card-text">
                                        <strong>Discussion ID:</strong> {{ discussion.id }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Participants:</strong> {{ discussion.confirmed_participant_number }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Deposit:</strong> ${{ discussion.place.deposit.amount }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Total amount:</strong> ${{ discussion.total_amount }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Service fee:</strong> {{ discussion.service_fee }} %
                                    </p>
                                    <p class="card-text">
                                        <strong>Service fee amount:</strong> ${{ discussion.service_fee_amount }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Amount to send to the restaurant:</strong> ${{ discussion.amount_payable }}
                                    </p>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            <div class="payment-info">
                <h3 class="text-center mb-4">Recipient information</h3>
                <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <ul class="list-group">
                            <li class="list-group-item">
                                <strong>Company Legal Name:</strong> {{ owner_profile.company_legal_name }}
                            </li>

                            <li class="list-group-item">
                                <strong>Company Email:</strong> {{ owner_profile.company_email }}
                            </li>

                            <li class="list-group-item">
                                <strong>Company Address:</strong> {{ owner_profile.company_address }}
                            </li>

                            <li class="list-group-item">
                                <strong>Company EIN Number:</strong> {{ owner_profile.company_ein }}
                            </li>

                            <li class="list-group-item">
                                <strong>Company Stripe Acc:</strong> {{ owner_profile.company_stripe_account }}
                            </li>

                            <li class="list-group-item">
                                <strong>Payout ID:</strong> {{ payout.payout_id }}
                            </li>

                            <li class="list-group-item">
                                <strong>Transferred Amount:</strong> {{ payout.transferred_amount }}
                            </li>
                            
                        </ul>
                    </div>
                </div>
            </div>
            <div class="payout-status mt-5">
                <h3 class="text-center mb-4">Payout Status:</h3>
                <div class="row justify-content-center text-center">
                    <div class="col-lg-6">
                        <h3 class="{% if payout.status == 'paid' %}text-success font-weight-bold{% endif %}">
                            <p class="{% if payout.status == 'paid' %}text-success font-weight-bold{% else %}text-warning{% endif %}">
                                {{ payout.status }}
                            </p> 
                        </h3>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock content %}
